Subject: bug#21274: 25.0.50; epa doesn't understand GPG's default-key option

From: Daiki Ueno <[email-masked]>
Date: Mon, 17 Aug 2015 11:26:07 +0900

Richard Stallman <[email-masked]> writes:

> Someone sent me gpg-encrypted mail using the throw-keyids option,
> which I think means it doesn't say which person each key belongs to.
> The result was I was asked for a passphrase for each key until
> mine came up.
>
> I'm told the recommend way to deal with receiving such mail
> is to specify default-key in gpg.conf.  I have that setting,
> so it looks like EPA doesn't recognize it.

According to the GnuPG manual, --default-key is used for signing, not
for decrypting a message encrypted with --throw-keyids or
--hidden-recipient.  IMO, it sounds like a natural extension for
--default-key to support that use-case.  Werner, what do you think?

Regards,
-- 
Daiki Ueno